textproc/pugixml - The NetBSD Packages Collection

Light-weight C++ XML processing library

pugixml is a light-weight C++ XML processing library. It features:

* DOM-like interface with rich traversal/modification capabilities
* Extremely fast non-validating XML parser which constructs the DOM
  tree from an XML file/buffer
* XPath 1.0 implementation for complex data-driven tree queries
* Full Unicode support with Unicode interface variants and automatic
  encoding conversions

The library is extremely portable and easy to integrate and use.

Build dependencies

pkgtools/cwrappers devel/cmake

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfpugixml-1.11.1.tgz
NetBSD 8.0earmv7hfpugixml-1.10.tgz
NetBSD 8.0earmv7hfpugixml-1.11.4.tgz
NetBSD 8.0i386pugixml-1.10.tgz
NetBSD 8.0i386pugixml-1.11.1.tgz
NetBSD 8.0i386pugixml-1.11.4.tgz
NetBSD 8.0powerpcpugixml-1.10.tgz
NetBSD 8.0powerpcpugixml-1.11.1.tgz
NetBSD 8.0powerpcpugixml-1.11.1.tgz
NetBSD 8.0x86_64pugixml-1.11.4.tgz
NetBSD 8.0x86_64pugixml-1.10.tgz
NetBSD 8.0x86_64pugixml-1.11.1.tgz
NetBSD 9.0aarch64pugixml-1.11.4.tgz
NetBSD 9.0aarch64pugixml-1.10.tgz
NetBSD 9.0aarch64pugixml-1.11.1.tgz
NetBSD 9.0alphapugixml-1.11.4.tgz
NetBSD 9.0alphapugixml-1.10.tgz
NetBSD 9.0alphapugixml-1.11.1.tgz
NetBSD 9.0earmpugixml-1.10.tgz
NetBSD 9.0earmpugixml-1.11.1.tgz
NetBSD 9.0earmpugixml-1.11.4.tgz
NetBSD 9.0earmv6hfpugixml-1.11.4.tgz
NetBSD 9.0earmv6hfpugixml-1.10.tgz
NetBSD 9.0earmv6hfpugixml-1.11.1.tgz
NetBSD 9.0earmv6hfpugixml-1.11.1.tgz
NetBSD 9.0earmv7hfpugixml-1.11.4.tgz
NetBSD 9.0earmv7hfpugixml-1.10.tgz
NetBSD 9.0earmv7hfpugixml-1.11.1.tgz
NetBSD 9.0earmv7hfpugixml-1.11.1.tgz
NetBSD 9.0i386pugixml-1.10.tgz
NetBSD 9.0i386pugixml-1.11.1.tgz
NetBSD 9.0i386pugixml-1.11.4.tgz
NetBSD 9.0mips64ebpugixml-1.11.4.tgz
NetBSD 9.0mips64ebpugixml-1.10.tgz
NetBSD 9.0mips64ebpugixml-1.11.1.tgz
NetBSD 9.0powerpcpugixml-1.11.1.tgz
NetBSD 9.0powerpcpugixml-1.10.tgz
NetBSD 9.0sh3elpugixml-1.11.1.tgz
NetBSD 9.0sh3elpugixml-1.11.4.tgz
NetBSD 9.0sparc64pugixml-1.11.4.tgz
NetBSD 9.0sparc64pugixml-1.10.tgz
NetBSD 9.0sparc64pugixml-1.10.tgz
NetBSD 9.0sparc64pugixml-1.11.1.tgz
NetBSD 9.0sparcpugixml-1.11.4.tgz
NetBSD 9.0sparcpugixml-1.10.tgz
NetBSD 9.0sparcpugixml-1.11.1.tgz
NetBSD 9.0x86_64pugixml-1.10.tgz
NetBSD 9.0x86_64pugixml-1.11.1.tgz
NetBSD 9.0x86_64pugixml-1.11.4.tgz
NetBSD 9.0x86_64pugixml-1.11.4.tgz
NetBSD 9.0x86_64pugixml-1.10.tgz
NetBSD 9.0x86_64pugixml-1.11.1.tgz
NetBSD 9.0x86_64pugixml-1.11.4.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.